Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227925 - xterm was added to the System menu
Summary: xterm was added to the System menu
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xterm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 22:29 UTC by Tim Reilly
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-16 14:02:33 UTC


Attachments (Terms of Use)

Description Tim Reilly 2007-02-08 22:29:40 UTC
Description of problem:
xterm (without an icon) was added to the System (formerly System Tools) in the
Applications menu. This seems like a mistake for a default install.

Comment 1 Miroslav Lichvar 2007-02-09 11:51:53 UTC
Yes, this was requested in the package review, bug #226660. xterm shouldn't be
installed in default install.

Comment 2 Matthias Clasen 2007-02-09 15:57:50 UTC
Not sure about the default install yet. Many people actually use xterm, so maybe
it should be in the default install.
Two problems with the current desktop file are

1) missing icon, as already pointed out

2) now we have one terminal in Accessories and one in System Tools

Comment 3 Tim Reilly 2007-02-12 18:16:44 UTC
Yeah, those issues were my main reason for filing the bug. It doesn't make a
whole lot of sense to include two different terminals in the default install.
While a number of people might use xterm, it's not really a gnome desktop app...

Comment 4 Joachim Frieben 2007-02-13 13:36:08 UTC
Adding "Icon=gnome-xterm.png" to "fedora-xterm.desktop" adds the right
icon to the menu entry. Btw, the title line "xterm Terminal" should be
replaced by "X Terminal". This is more succint and even looks better :)

Comment 5 Miroslav Lichvar 2007-02-16 14:02:33 UTC
Icon=gnome-xterm.png is added to the desktop file in xterm-224-1.fc7.

But I didn't change the name to "X Terminal" since xterm isn't a X terminal,
it's a terminal emulator. I agree that "xterm Terminal" isn't very good, but at
least it follows the recommendation to use specific name and generic name.



Comment 6 Joachim Frieben 2007-02-16 15:36:18 UTC
This logic is beyond me. Either it's a terminal emulator; then the right
entry is "X Terminal Emulator". If it's not a terminal, then it can
neither be an "X Terminal" nor an "xterm Terminal". I'm sorry, but here
you are contradicting yourself ..

Comment 7 Miroslav Lichvar 2007-02-16 16:47:06 UTC
Ok, Terminal isn't absolutely correct. Problem is that X terminal displays X
applications and xterm is an X application which emulates a text terminal.

The best name for xterm is "Terminal emulator for X", but that doesn't follow
the recommendation.

We can still drop the desktop file. :)

Comment 8 Joachim Frieben 2007-02-16 17:36:58 UTC
I'd go for "X Terminal Emulator" then - there are menus entries like
"Sound Juicer CD Extractor" which are definitely longer, so this
should be no argument.

Comment 9 Bill Nottingham 2007-03-02 17:33:47 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.


Note You need to log in before you can comment on or make changes to this bug.